From cccad072a5d9305f493edffb3963fa0a212b34da Mon Sep 17 00:00:00 2001
From: Matt Turner <mattst88@gentoo.org>
Date: Wed, 30 Sep 2020 22:16:26 -0700
Subject: xorg-3.eclass: Require --disable-all-encodings for fonts

Presumably in the distant past all font packages did not support this
option. They do today, so we can simplify our logic.

Signed-off-by: Matt Turner <mattst88@gentoo.org>
---
 eclass/xorg-3.eclass | 28 +++++-----------------------
 1 file changed, 5 insertions(+), 23 deletions(-)

(limited to 'eclass')

diff --git a/eclass/xorg-3.eclass b/eclass/xorg-3.eclass
index af28f6fa30d5..7b4c7f97deb5 100644
--- a/eclass/xorg-3.eclass
+++ b/eclass/xorg-3.eclass
@@ -330,30 +330,12 @@ xorg-3_font_configure() {
 	debug-print-function ${FUNCNAME} "$@"
 
 	if has nls ${IUSE//+} && ! use nls; then
-		if grep -q -s "disable-all-encodings" ${ECONF_SOURCE:-.}/configure; then
-			FONT_OPTIONS+="
-				--disable-all-encodings
-				--enable-iso8859-1"
-		else
-			FONT_OPTIONS+="
-				--disable-iso8859-2
-				--disable-iso8859-3
-				--disable-iso8859-4
-				--disable-iso8859-5
-				--disable-iso8859-6
-				--disable-iso8859-7
-				--disable-iso8859-8
-				--disable-iso8859-9
-				--disable-iso8859-10
-				--disable-iso8859-11
-				--disable-iso8859-12
-				--disable-iso8859-13
-				--disable-iso8859-14
-				--disable-iso8859-15
-				--disable-iso8859-16
-				--disable-jisx0201
-				--disable-koi8-r"
+		if ! grep -q -s "disable-all-encodings" ${ECONF_SOURCE:-.}/configure; then
+			die "--disable-all-encodings option not available in configure"
 		fi
+		FONT_OPTIONS+="
+			--disable-all-encodings
+			--enable-iso8859-1"
 	fi
 }
 
-- 
cgit v1.2.3-65-gdbad